Bug 212319 - Broken http_proxy env if using "automatic proxy configuration"
Broken http_proxy env if using "automatic proxy configuration"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: 212354
  Show dependency treegraph
 
Reported: 2006-10-26 05:28 EDT by Mark McLoughlin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 09:47:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2006-10-26 05:28:02 EDT
If, using gnome-network-preferences, you configure the proxy use use "automatic
proxy configuration", then you end up with something like:

  /system/http_proxy/use_http_proxy = true
  /system/http_proxy/host = ""
  /system/proxy/autoconfig_url = file:///home/markmc/.proxy.pac

and gnome-session sets http_proxy to "http://:8080"

This would fix it:

 if (host == NULL || host[0] == '\0')
   {
     g_unsetenv ("http_proxy");
     return;
   }

Look at this, though:

  http://bugzilla.gnome.org/show_bug.cgi?id=343811

There may be a bit more too it ... there may be a bit more to interpreting the
proxy settings
Comment 1 Ray Strode [halfline] 2006-10-26 10:15:39 EDT
another interesting bit, is there is now code out there that will break down an
autoconfiguration url into it's peices using gecko's javascript engine.

At some point we may want to think about using that to make http_proxy work in
those situations (or maybe not worth the effort)

http://mail.gnome.org/archives/gnome-announce-list/2006-October/msg00071.html
Comment 2 Ray Strode [halfline] 2006-11-30 09:47:42 EST
I'm going to go ahead a close this.  We can figured out the autoconfiguration
half later.

Note You need to log in before you can comment on or make changes to this bug.